SaveJobErrorEvent (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.event

## Class SaveJobErrorEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<SaveJobErrorEventHandler>
    - - org.gcube.portlets.user.speciesdiscovery.client.event.SaveJobErrorEvent

-     public class SaveJobErrorEvent
      extends com.google.gwt.event.shared.GwtEvent<SaveJobErrorEventHandler>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<SaveJobErrorEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveJobErrorEvent(String jobIdentifier, String scientificName, List<DataSource> dataSourceList, SearchResultType type, JobOccurrencesModel jobOccurrenceModel)`
    `SaveJobErrorEvent(String jobIdentifier, String scientificName, List<DataSource> dataSourceList, String rank, SearchResultType type, JobTaxonomyModel jobTaxonomyModel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(SaveJobErrorEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<SaveJobErrorEventHandler>` | `getAssociatedType()`
    `SearchResultType` | `getItemType()`
    `String` | `getJobIdentifier()`
    `JobOccurrencesModel` | `getJobOccurrenceModel()`
    `JobTaxonomyModel` | `getJobTaxonomyModel()`
    `List<DataSource>` | `getListDataSources()`
    `String` | `getRank()`
    `String` | `getScientificName()`
    `void` | `setJobIdentifier(String jobIdentifier)`
    `void` | `setJobOccurrenceModel(JobOccurrencesModel jobOccurrenceModel)`
    `void` | `setJobTaxonomyModel(JobTaxonomyModel jobTaxonomyModel)`
    `void` | `setListDataSources(List<DataSource> listDataSources)`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final com.google.gwt.event.shared.GwtEvent.Type<SaveJobErrorEventHandler> TYPE

  - ### Constructor Detail

    - #### SaveJobErrorEvent

          public SaveJobErrorEvent(String jobIdentifier,
                           String scientificName,
                           List<DataSource> dataSourceList,
                           String rank,
                           SearchResultType type,
                           JobTaxonomyModel jobTaxonomyModel)

      Parameters:
        `jobIdentifier` -
        `scientificName` -
        `listDataSource` -
        `rank` -
        `type` -
        `jobTaxonomyModel` -

    - #### SaveJobErrorEvent

          public SaveJobErrorEvent(String jobIdentifier,
                           String scientificName,
                           List<DataSource> dataSourceList,
                           SearchResultType type,
                           JobOccurrencesModel jobOccurrenceModel)

      Parameters:
        `jobIdentifier` -
        `scientificName` -
        `dataSourceList` -
        `type` -
        `jobOccurrenceModel` -

  - ### Method Detail

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<SaveJobErrorEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<SaveJobErrorEventHandler>`

    - #### dispatch

          protected void dispatch(SaveJobErrorEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<SaveJobErrorEventHandler>`

    - #### getJobIdentifier

          public String getJobIdentifier()

    - #### setJobIdentifier

          public void setJobIdentifier(String jobIdentifier)

    - #### getScientificName

          public String getScientificName()

    - #### getRank

          public String getRank()

    - #### getItemType

          public SearchResultType getItemType()

    - #### getJobTaxonomyModel

          public JobTaxonomyModel getJobTaxonomyModel()

    - #### getJobOccurrenceModel

          public JobOccurrencesModel getJobOccurrenceModel()

    - #### setJobTaxonomyModel

          public void setJobTaxonomyModel(JobTaxonomyModel jobTaxonomyModel)

    - #### setJobOccurrenceModel

          public void setJobOccurrenceModel(JobOccurrencesModel jobOccurrenceModel)

    - #### getListDataSources

          public List<DataSource> getListDataSources()

    - #### setListDataSources

          public void setListDataSources(List<DataSource> listDataSources)

Copyright © 2013. All Rights Reserved.